Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Class EventRequestModifier.Count

    java.lang.Object
      com.sun.squawk.debugger.EventRequestModifier
          com.sun.squawk.debugger.EventRequestModifier.Count

Enclosing class:
  EventRequestModifier

    public static final class EventRequestModifier.Count

extends EventRequestModifier

A `Count` modifier limits the requested event to be reported at most once after a given number of occurrences. The event is not reported the first `count - 1` times this filter is reached. To request a one-off event, call this method with a count of 1.

Once the count reaches 0, any subsequent filters in this request are applied. If none of those filters cause the event to be suppressed, the event is reported. Otherwise, the event is not reported. In either case subsequent events are never reported for this request. This modifier can be used with any event kind.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.debugger.EventRequestModifier
`EventRequestModifier.ClassMatch, EventRequestModifier.ClassOnly, EventRequestModifier.Count, EventRequestModifier.ExceptionOnly, EventRequestModifier.LocationOnly, EventRequestModifier.Matcher, EventRequestModifier.Step, EventRequestModifier.ThreadOnly`

Constructor Summary
`EventRequestModifier.Count(PacketInputStream in)` Creates a Count modifier.

Method Summary
`boolean` | `matches(EventRequestModifier.Matcher matcher, Debugger.Event event)` Determines if this modifier matches the event currently being processed by an event manager.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventRequestModifier.Count

    public EventRequestModifier.Count(PacketInputStream in)
                               throws SDWPException,
                                      IOException

  Creates a Count modifier.

  Throws:
    `SDWPException`
    `IOException`
  See Also:
    `EventRequestModifier#create`

Method Detail

### matches

    public boolean matches(EventRequestModifier.Matcher matcher,
                           Debugger.Event event)

  Determines if this modifier matches the event currently being processed by an event manager.

  Specified by:
    `matches` in class `EventRequestModifier`
  Returns:
    true if this modifier matches the event

### toString

    public String toString()

  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"